;*************************************************************************
;* MTV32.ASP (C) 1988 DATASTORM TECHNOLOGIES, INC.                       *
;*                                                                       *
;* An ASPECT script file for initializing the MULTITECH MULTIMODEM V32   *
;* for proper use with PROCOMM PLUS.                                     *
;*                                                                       *
;*************************************************************************

CLEAR
CUROFF
BOX 0 0 9 58 14
ATSAY 2 2 14 "PROCOMM PLUS is designed to work efficiently with the"
ATSAY 3 2 14 "MULTITECH V32 modem in all its operational modes, but"
ATSAY 4 2 14 "the initial setup differs from the setup for ordinary"
ATSAY 5 2 14 "non-error-correcting modems."
ATSAY 7 2 14 "                 <press ENTER to continue>"
WAIT1:
IF NOT HITKEY
   GOTO WAIT1
ENDIF
CLEAR
BOX 0 0 17 59 14
ATSAY 2 2 14 "The basic principle is that the computer-to-modem baud-"
ATSAY 3 2 14 "rate is fixed at 19200 (thus your status line will"
ATSAY 4 2 14 "*always* read 19200) and the modem itself adjusts to"
ATSAY 5 2 14 "the actual speed of the connection."
ATSAY 7 2 14 "This ASPECT file sends to the modem all the commands"
ATSAY 8 2 14 "necessary for efficient automatic use of its error-"
ATSAY 9 2 14 "correcting features. You only need to run it one time,"
ATSAY 10 2 14 "since it tells the modem to write these settings to"
ATSAY 11 2 14 "non-volatile RAM. It is also very important to follow"
ATSAY 12 2 14 "*exactly* the instructions that appear on the screen"
ATSAY 13 2 14 "as you run this file."
ATSAY 15 2 14 "                 <press ENTER to continue>"
WAIT2:
IF NOT HITKEY
   GOTO WAIT2
ENDIF
CLEAR
BOX 0 0 11 61 14
ATSAY 2 2 14 "The MULTITECH V32 requires some hardware setup before"
ATSAY 3 2 14 "it can be used effectively with PROCOMM PLUS. On the"
ATSAY 4 2 14 "modem's bank of eight dipswitches, switches 3 and 8"
ATSAY 5 2 14 "should be DOWN, all the others UP. On the bank of four"
ATSAY 6 2 14 "switches, only switch 2 should be UP, all the others"
ATSAY 7 2 14 "should be DOWN."
ATSAY 9 2 14 "                 <press ENTER to continue>"
WAIT3:
IF NOT HITKEY
   GOTO WAIT3
ENDIF
CLEAR
SOUND 440 50
BOX 0 0 4 56 14
ATSAY 2 2 14 "MULTITECH V32 modem initialization... WORKING..."
SET PARITY NONE
SET DATABITS 8
SET STOPBITS 1
SET DISPLAY OFF
SET TXPACE 25
TRANSMIT "AT&W1Z^M"                ; get factory defaults
PAUSE 1
TRANSMIT "ATB0^M"                  ; CCITT standard for answer tone
PAUSE 1
TRANSMIT "ATX4^M"                  ; extended result codes
PAUSE 1
TRANSMIT "ATS0=0^M"                ; auto answer off
PAUSE 1
TRANSMIT "AT$A1^M"                 ; buffer data during auto-reliable time period
PAUSE 1
TRANSMIT "AT&E1^M"                 ; turn on MNP Auto-Reliable Mode
PAUSE 1
TRANSMIT "AT&E4^M"                 ; hardware flow control
PAUSE 1
TRANSMIT "AT&E7^M"                 ; Xon/Xoff passed through
PAUSE 1
TRANSMIT "AT&E12^M"                ; pacing off
PAUSE 1
TRANSMIT "AT$BA0^M"                ; speed conversion on
PAUSE 1
; TRANSMIT "AT&BS1^M"              ; 64 character block size (for noisy lines or to make data xfer more smooth)
; PAUSE 1
TRANSMIT "AT$SB19200^M"            ; serial baud rate set to 19200
PAUSE 1
TRANSMIT "ATS7=60^M"               ; wait 60 seconds for CD
PAUSE 1
TRANSMIT "AT&W0^M"                 ; write settings to NRAM
SET TXPACE 0
CLEAR
SET DISPLAY ON
SOUND 440 50
BOX 0 0 16 58 14
ATSAY 2 2 14 "MULTITECH V32 modem initialization - COMPLETED!"
ATSAY 4 2 14 "Your MULTITECH modem will now power up with the proper"
ATSAY 5 2 14 "defaults for PROCOMM PLUS.  You should now use the"
ATSAY 6 2 14 "Setup Facility (Alt-S) MODEM OPTIONS to make your"
ATSAY 7 2 14 "INITIALIZATION COMMAND `"ATZ^M`" (without the quotes)."
ATSAY 8 2 14 "In addition AUTOBAUD DETECT should be set to OFF and"
ATSAY 9 2 14 "in TERMINAL OPTIONS Hardware Flow Control (RTS/CTS)"
ATSAY 10 2 14 "should be turned ON. All dialing directory entries"
ATSAY 11 2 14 "should be should be set to 19200 baud, as well as your"
ATSAY 12 2 14 "Alt-P line setting. Make sure to save your changes."
ATSAY 13 2 14 "One last thing: your CONNECT MESSAGES in MODEM OPTIONS"
ATSAY 14 2 14 "should all read simply `"CONNECT`" (without quotes)."
CURON
LOCATE 17 0

